click
Description
Optional.Fires on clicking an item of Action Menu or outside the menuUsage
onClick?: (ev: {
context?: any;
action: IMenuOption; // @deprecated use `option` instead. Will be removed in v3.0
option: IMenuOption;
event?: MouseEvent;
}) => void;
Parameters
- ev - an event object with the next parameters:
context- (optional) an object for which menu was calledaction- (required) the object of selected (clicked) menu item, empty if menu was closed by an outside click (for the IMenuOption parameters description refer to options)option- (required) same asactionevent- (optional) a native html event
Example
function Example() {
const [message, setMessage] = useState("");
const menu = useRef<any>(null);
function clicked(ev: {
context?: any;
action: { id?: string };
option: { id?: string };
event?: MouseEvent;
}) {
const action = ev.action;
setMessage(action ? `clicked on ${action.id}` : "closed");
}
return (
<>
<ActionMenu options={options} onClick={clicked} ref={menu} />
<Button type="primary" onClick={() => menu.current?.show()}>Click me</Button>
<div>{message}</div>
</>
);
}
Details
You can get an object of the clicked option inside the event as in the above example. The event object will contain an object related to the clicked menu item.
Related article: Catching the change of a clicked option
Related sample: Action Menu

Skip to main content

click

Description

Optional.Fires on clicking an item of Action Menu or outside the menu

Usage

onclick?: (ev: {
context?: any;
action: IMenuOption; // @deprecated use `option` instead. Will be removed in v3.0
option: IMenuOption;
event?: MouseEvent;
}) => void;

Parameters

  • ev - an event object with the next parameters:
    • context - (optional) an object for which menu was called
    • action - (required) the object of selected (clicked) menu item, empty if menu was closed by an outside click (for the IMenuOption parameters description refer to options)
    • option - (required) same as action
    • event - (optional) a native html event

Example

<script setup>
import { ref } from "vue";

let message = "";
function clicked(ev){
const action = ev.action;
message = action ? `clicked on ${action.id}` : "closed";
}

const menu = ref(null);
</script>

<template>
<ActionMenu :options="options" :onclick="clicked" ref="menu"/>
<Button type="primary" :onclick="menu?.show">Click me</Button>
</template>

Details

You can get an object of the clicked option inside the event as in the above example. The event object will contain an object related to the clicked menu item.


Related article: Catching the change of a clicked option

Related sample: Action Menu